> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# get entity by id



## OpenAPI

````yaml /openapi.json get /api/v1/action/{id}
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/action/{id}:
    get:
      tags:
        - Action Route
      summary: get entity by id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            format: int64
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    ActionDto:
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        walletId:
          format: int64
          description: Unique identifier of the wallet associated with the extractor action
          type: integer
        contractId:
          format: int64
          description: >-
            Unique identifier of the contract associated with the extractor
            action
          type: integer
        name:
          description: Name of the action
          type: string
        funcSignature:
          description: >-
            Signature of the function from the contract abi associated with the
            extractor action
          type: string
        params:
          description: >-
            Input parameters of the function from the contract abi associated
            with the extractor action
          type: array
          items:
            $ref: '#/components/schemas/ParamDto'
        funcAbi:
          description: >-
            Abi of the function from the contract abi associated with the
            extractor action
          type: object
          additionalProperties: {}
        gasPrice:
          description: >-
            Gas price for action execution. Possible values are 100%/1.0
            gwei/1000000/'market'. Default: market
          type: string
          example: market
        gasLimit:
          format: int32
          description: 'Gas limit for action execution. Default: 10000000'
          type: integer
          example: 10000000
        gasTip:
          description: >-
            Gas tip for action execution. Possible values are 100%/1.0
            gwei/1000000. Default: ""
          type: string
          example: '""'
        description:
          description: Description of action
          type: string
        destinations:
          description: List of destinations associated with the entry
          type: array
          items:
            $ref: '#/components/schemas/DestinationDto'
        detectors:
          description: List of detectors associated with the entry
          type: array
          items:
            $ref: '#/components/schemas/DetectorActionDto'
        triggerAlerts:
          description: List of trigger alerts associated with the entry
          type: array
          items:
            $ref: '#/components/schemas/TriggerAlertActionDto'
    Status:
      enum:
        - ACTIVE
        - DISABLED
        - DELETED
      type: string
    ParamDto:
      required:
        - name
        - value
      type: object
      properties:
        name:
          description: Param name
          minLength: 1
          type: string
        value:
          description: Param value
          minLength: 1
          type: string
    DestinationDto:
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        tenantDestination:
          description: User contact attached to this destination
          type: object
          allOf:
            - $ref: '#/components/schemas/TenantDestinationDto'
    DetectorActionDto:
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        scriptFilter:
          description: >-
            Groovy script, return true if action should be executed. Null mean
            execute all
          type: string
          example: e.severity>=0.5
        scriptParams:
          description: >-
            Groovy script, for each action parameter, return each parameter
            value. Null means use default params
          type: object
          additionalProperties:
            type: string
          example:
            _to: e.getTxHash()
            _value: a.getTimestamp()
        detectorId:
          format: int64
          description: Detector attached to parent entry
          type: integer
    TriggerAlertActionDto:
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        scriptFilter:
          description: >-
            Groovy script, return true if action should be executed. Null mean
            execute all
          type: string
          example: e.severity>=0.5
        scriptParams:
          description: >-
            Groovy script, for each action parameter, return each parameter
            value. Null means use default params
          type: object
          additionalProperties:
            type: string
          example:
            _to: e.getTxHash()
            _value: a.getTimestamp()
        triggerAlertId:
          format: int64
          description: Trigger alert attached to parent entry
          type: integer
    TenantDestinationDto:
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        tenantId:
          format: int64
          description: ID of the tenant
          type: integer
        type:
          description: Type of the destination information
          type: string
          allOf:
            - $ref: '#/components/schemas/ExtDestinationType'
        uid:
          description: The uid which can be used to bind a destination
          type: string
          example: 'Telegram: /start {uid}'
        tags:
          description: Destination tags
          type: array
          items:
            $ref: '#/components/schemas/ExtTenantDestinationTag'
        value:
          description: >-
            The destination information value, e.g., an email address, phone
            number, http uri, etc.
          type: string
        telegramBotUsername:
          description: The telegram bot username
          type: string
        telegramUserId:
          description: The telegram user id
          type: string
        telegramUsername:
          description: The telegram username
          type: string
        telegramChatId:
          description: The telegram chat id
          type: string
        telegramChatTitle:
          description: The telegram chat title
          type: string
        telegramChatType:
          description: The telegram chat type
          type: string
        slackUri:
          description: Webhook slack uri
          type: string
        slackChannelId:
          description: Slack Channel id
          type: string
        slackChannelName:
          description: Slack Channel name
          type: string
        uri:
          description: Http uri
          type: string
        method:
          description: Http method
          type: string
        headers:
          description: Http headers
          type: object
          additionalProperties:
            type: string
    ExtDestinationType:
      enum:
        - EMAIL
        - TELEGRAM
        - HTTP
        - SLACK
      type: string
    ExtTenantDestinationTag:
      enum:
        - DEFAULT
        - DETECTOR
        - WALLET
      type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````